// file: $isip/class/search/SearchNode/snod_01.cc
// version: $Id: snod_01.cc 8145 2002-05-27 04:48:58Z alphonso $
//

// isip include files
//
#include "SearchNode.h"
#include <Trace.h>
#include <Instance.h>
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean SearchNode::debug(const unichar* msg_a) const {
  
  // dump the data
  //
  String output;
  String value;

  // write the symbol 
  //
  value.assign(symbol_id_d);
  output.debugStr(name(), msg_a, L"symbol_id_d", value);  
  Console::put(output);

  // write the pointer to the statistical model
  //
  value.assign(stat_model_d);
  output.debugStr(name(), msg_a, L"stat_model_d", value);  
  Console::put(output);

  // write the back pointer value
  //
  value.assign(level_d);
  output.debugStr(name(), msg_a, L"level_d", value);
  Console::put(output);

  // exit gracefully
  //
  return true;
}
